### Class

# Meta Monitor

#### Description

    final class Meta.Monitor : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### meta_monitor_get_backlight

Returns the `MetaBacklight` of the monitor, or NULL if it has no controllable backlight.

###### meta_monitor_get_connector

Get the connector name of the monitor.

###### meta_monitor_get_display_name

Get the displayable name of the monitor.

###### meta_monitor_get_product

Get the product name of the monitor.

###### meta_monitor_get_serial

Get the serial id of the monitor.

###### meta_monitor_get_vendor

Get the vendor name of the monitor.

###### meta_monitor_is_active

Returns whether the monitor is active.

###### meta_monitor_is_builtin

Returns whether the monitor is a builtin monitor.

###### meta_monitor_is_primary

Returns whether the monitor is the primary monitor.

###### meta_monitor_is_virtual

Returns whether the monitor is virtual.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaMonitorClass {
      /* no available fields */
    }

No description available.